>From 7390f604a585358dcfa995b780853487458b6365 Mon Sep 17 00:00:00 2001
From: Toralf Niebuhr <gmthor85@aim.com>
Date: Mon, 8 Feb 2010 17:36:12 +0100
Subject: [PATCH 3/3] added VLC_UNUSED( ) for some unused variables

---
 src/missing.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

diff --git a/src/missing.c b/src/missing.c
index 8358c59..b96f911 100644
--- a/src/missing.c
+++ b/src/missing.c
@@ -344,36 +344,47 @@ char *vlc_sdp_Start (vlc_object_t *obj, const char *cfg,
 
 int vlm_Control (vlm_t *vlm, int query, ...)
 {
+    VLC_UNUSED (vlm);
     assert (0);
 }
 
 void vlm_Delete (vlm_t *vlm)
 {
+    VLC_UNUSED (vlm);
     assert (0);
 }
 
 int vlm_ExecuteCommand (vlm_t *vlm, const char *cmd, vlm_message_t **pm)
 {
+    VLC_UNUSED (vlm);
+    VLC_UNUSED (cmd);
+    VLC_UNUSED (pm);
     assert (0);
 }
 
 vlm_message_t *vlm_MessageAdd (vlm_message_t *a, vlm_message_t *b)
 {
+    VLC_UNUSED (a);
+    VLC_UNUSED (b);
     assert (0);
 }
 
 void vlm_MessageDelete (vlm_message_t *m)
 {
+    VLC_UNUSED (m);
     assert (0);
 }
 
 vlm_message_t *vlm_MessageSimpleNew (const char *a)
 {
+    VLC_UNUSED (a);
     return NULL;
 }
 
 vlm_message_t *vlm_MessageNew (const char *a, const char *fmt, ...)
 {
+    VLC_UNUSED (a);
+    VLC_UNUSED (fmt);
     return vlm_MessageSimpleNew (a);
 }
 
-- 
1.6.6.1

=